<button (click)="onDisplayButtonClicked()">Display Details</button>

@if(isDetailsVisible){
    <p style="margin-top: 1rem">Secret Password = tuna</p>
}

@for(buttonLog of buttonLogs; track buttonLog; let i = $index){
    <div [ngStyle]="{'background-color': getBackgroundColor(i)}" [ngClass]="{'recent': isRecent(i)}">
        <span>Button pressed at {{ buttonLog.getHours() + ":" + buttonLog.getMinutes() + ":" + buttonLog.getSeconds() }}</span>
    </div>
}